@ECHO OFF
CLS
SETLOCAL ENABLEDELAYEDEXPANSION
SET Count=-1
:Begin
SET /A Count+=1
ECHO.
ECHO.
ECHO.
IF %Count% GTR 0 (
	ECHO Retry %Count%
	ECHO.
)
ECHO This batch file will try to "embed" an icon in Hardware.hta.
ECHO.
ECHO To make this work, make sure that there isn't an icon embedded already in
ECHO Hardware.hta, and that Hardware.ico and Hardware.hta are both located in
ECHO this batch file's parent folder.
ECHO.
TYPE Hardware.hta | FIND.EXE /I " ICON=""#""" >NUL 2>&1
IF ERRORLEVEL 1 (
	FOR /F "tokens=1* delims=[]" %%A IN ('TYPE Hardware.hta ^| FIND.EXE /I /N " ICON="') DO (
		SET LineNumber=%%A
		SET LineContent=%%B
	)
	ECHO.
	ECHO Edit Hardware.hta,
	ECHO find the text "!LineContent!" at line !LineNumber!
	ECHO and replace it with ICON="#"
	PAUSE
	GOTO Begin
)
ECHO The batch file creates a new HTA file _Hardware.hta with the embedded icon.
ECHO.
ENDLOCAL
PAUSE

SETLOCAL
FOR %%A IN (%Date%) DO SET Today=%%A
SET Today=%Today:/=-%
FOR %%A IN (%Time%) DO SET Now=%%A
SET Now=%Now::=-%
PUSHD "%~dp0"
IF EXIST Hardware.ico (
	IF EXIST Hardware.hta (
		COPY /B /Y Hardware.ico + Hardware.hta _Hardware.hta
		ECHO.
		ECHO The new file _Hardware.hta is the one with the embedded icon.
	) ELSE (
		ECHO Hardware.hta not found
	)
) ELSE (
	ECHO Hardware.ico not found
)
POPD
ENDLOCAL
